#include<bits/stdc++.h>
using namespace std;
int main()
{
    long long nezardaskaniChisla, broiNezardaskaniChisla, zadraskaniNechetni = 0, zadraskaniChetni = 0, nechetni = 1, chetni = 2;
    cin>>broiNezardaskaniChisla; //6
        for(broiNezardaskaniChisla = broiNezardaskaniChisla; broiNezardaskaniChisla > 0; broiNezardaskaniChisla--) //6 = 6; 6 > 6/2; 6--
        {
            cin>>nezardaskaniChisla; //vkarai chisla
            if(nezardaskaniChisla % 2 == 1)
            {
                while(nezardaskaniChisla > nechetni)
                {
                    if(nezardaskaniChisla != nechetni)
                    {
                        zadraskaniNechetni++;
                        nechetni = nechetni + 2;
                    }
                    else
                    {
                        nechetni = nechetni + 2;
                    }
                }
            }
            else
            {
                while(nezardaskaniChisla >= chetni)
                {
                    if(nezardaskaniChisla != chetni)
                    {
                        zadraskaniChetni++;
                    }
                    chetni = chetni + 2;
                }
            }
        }
    cout<<zadraskaniNechetni - 1<<" "<<zadraskaniChetni;
    return 0;
}